from odoo import http
from odoo.addons.web_unsplash.controllers.main import Web_Unsplash


class WebUnsplash(Web_Unsplash):

    def _get_access_key(self):
        # super will crash if user has no right to read the key
        res = super(WebUnsplash, self)._get_access_key()
        return res or 'f01a0029f1057eb8c2e7540997df64b5052ff8b1c5d908a92168a6c30b2765b0'

    @http.route("/web_unsplash/get_app_id", type='json', auth="public")
    def get_unsplash_app_id(self, **post):
        res = super(WebUnsplash, self).get_unsplash_app_id(**post)
        return res or '31710'
